Action links
Get links
This point returns direct links to reboot, get the IP and get the modem status.
Example
https://mobile.proxy-seller.com/api/v1/modems/63c234098746e15666325bf9f/linksExample with domainId
https://mobile.proxy-seller.com/api/v1/modems/63c234098746e15666325bf9f/links?domainId=1asdbu1kb23Path parameters
Name | Type | Description |
|---|---|---|
modemId* | String | id of modem |
Headers
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Query parameters
Name | Type | Description |
|---|---|---|
domainId | String | your costom domain Id |
Response
{
"reboot": "https://mobile.proxy-seller.com/c/modem/reboot/103790e5f286b193bedd3aee67bff18afb746e",
"status": "https://mobile.proxy-seller.com/c/modem/status/103790e5f286b193bedd3aee67bff18afb746e",
"ip": "https://mobile.proxy-seller.com/c/modem/ip/103790e5f286b193bedd3aee67bff18afb746e"
}AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILED,
HOST_USER_ID_AND_AUTH_DOES_NOT_MATCHINVALID_MODEM, DOMAIN_NOT_FOUNDExample to use links:
https://mobile.proxy-seller.com/c/modem/ip/103790e5f286b193bedd3aee67bff18afb746eClient domain
This point will return a list of all the domain names you have.
Example
https://mobile.proxy-seller.com/api/v1/domainsHeaders
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Response
[
{
"id": "63888a772bd6cd2bc8071515",
"domain": "mobile.space",
"useTls": true,
"approved": true,
"prioritized": false,
"linkEnabled": true,
"prefix": "/custom/"
}
]AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILEDGet domain
This point will return a list of all the domain names you have.
Example
https://mobile.proxy-seller.com/api/v1/domains/63888a772bd6cd2bc8071515Path parameters
Name | Type | Description |
|---|---|---|
domainId* | String | id of domain |
Headers
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Response
{
"id": "63888a772bd6cd2bc8071515",
"domain": "mobile.space",
"useTls": false,
"approved": true,
"prioritized": false,
"linkEnabled": true,
"prefix": "/custom/"
}AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILEDDOMAIN_NOT_FOUNDCreate domain
This request creates your custom domain name.
Example
https://mobile.proxy-seller.com/api/v1/domainsHeaders
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Request Body
Name | Type | Description |
|---|---|---|
domain* | String | Domain name (example.com) |
useTls* | Boolean | use TLS or not |
linkEnabled* | Boolean | Use custom prefix or not |
prefix* | String | prefix for link after domain (example "/some/prefix/") , not empty |
Example request body
{
"domain": "some.com",
"useTls": false,
"linkEnabled": true,
"prefix": "/some/prefix/"
}Response
{
"id": "6683a91b19erd56a69f71697",
"domain": "some.com",
"useTls": false,
"approved": false,
"prioritized": false,
"linkEnabled": true,
"prefix": "/some/prefix/"
}
AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILEDApprove domain
This request performs a verification and validates your domain.
The domain IP must match the proxy server IP
Example
https://mobile.proxy-seller.com/api/v1/domains/6683a91b19erd56a69f71697/approvePath parameters
Name | Type | Description |
|---|---|---|
domainId* | String | id of domain |
Headers
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Response
trueAUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILEDDOMAIN_NOT_FOUNDEdit domain
This request update your custom domain.
Example
https://mobile.proxy-seller.com/api/v1/domains/6683a91b19erd56a69f71697Path parameters
Name | Type | Description |
|---|---|---|
domainId* | String | id of domain |
Headers
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Request Body
Name | Type | Description |
|---|---|---|
useTls* | Boolean | use TLS or not |
linkEnabled* | Boolean | Use custom prefix or not |
prefix* | String | prefix for link after domain (example "/some/prefix/") , not empty |
Example request body:
{
"useTls": false,
"linkEnabled": true,
"prefix": "/some/new/prefix/"
}Response
{
"id": "6683a91b19erd56a69f716",
"domain": "some.com",
"useTls": false,
"approved": true,
"prioritized": false,
"linkEnabled": true,
"prefix": "/some/new/prefix/"
}
AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILEDDOMAIN_NOT_FOUNDDelete domain
This request remove domain.
Be careful it can cause irreversible effects.
Example
https://mobile.proxy-seller.com/api/v1/domains/6683a91b19erd56a69f71697Path parameters
Name | Type | Description |
|---|---|---|
domainId* | String | id of domain |
Headers
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Response
successful answer has no body, the success state is determined by the status 200
AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILED